//
//  PreguntasTableViewController.swift
//  Multiplicar
//
//  Created by Santiago Pavón Gómez on 29/11/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

class PreguntasTableViewController: UITableViewController {

    override func viewDidLoad() {
        super.viewDidLoad()

        // Uncomment the following line to preserve selection between presentations
        // self.clearsSelectionOnViewWillAppear = false

        // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
        // self.navigationItem.rightBarButtonItem = self.editButtonItem()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    
    // Preguntas hasta la tabla de multiplicar del 99
    override func numberOfSections(in tableView: UITableView) -> Int {
        return 100
    }

    // 11 valores por tabla de multiplicar
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return 11
    }


    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "Celda con Pregunta", for: indexPath)

        cell.textLabel?.text = "¿ \(indexPath.section) por \(indexPath.row) ?"

        return cell
    }

    override func tableView(_ tableView: UITableView, titleForHeaderInSection section: Int) -> String? {
        return "Tabla del \(section)"
    }

    
    // MARK: - Navigation

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if segue.identifier == "Show Respuesta" {
            
            if let rvc = segue.destination as? RespuestaViewController {
                
                // IndexPath de la celda seleccionada
                if let ip = tableView.indexPathForSelectedRow {
                
                    rvc.respuesta = "\(ip.section * ip.row)"
                }
            }
        }
    }

}
